var mongoClient = require('mongodb').MongoClient;

var Controller = function(config, cbMongoDbReady) {
    this.config = config;

    if (!this.config.mongodb || !this.config.mongodb.url) {
        console.log('Undefined config.mongodb.url, returning')
        return;
    }

    try {
        var url = this.config.mongodb.url;

        mongoClient.connect(url, function(err, db) {
            if (err) {
                console.log('Failed to connect to mongodb');
                return;
            }

            this.mongodb = db;
            console.log('MongoDB connected');

            if (cbMongoDbReady) {
                cbMongoDbReady(null, this.mongodb);
            }
        });
    }
    catch(err) {
        console.log('Exception when connecting to mongodb');
    }

}

module.exports = Controller;
